Loading...
Searching...
No Matches
pappso::FastaWriterInterface Class Referenceabstract

`#include <fastawriterinterface.h>`

Inheritance diagram for pappso::FastaWriterInterface:

## Public Member Functions

virtual void | writeProtein (const Protein &protein)=0

## Detailed Description

Definition at line 28 of file fastawriterinterface.h.

## Member Function Documentation

## writeProtein()

virtual void pappso::FastaWriterInterface::writeProtein | ( | const Protein & | protein | ) |

pure virtual

Implemented in pappso::FastaOutputStream.

The documentation for this class was generated from the following file:

- pappsomspp/fasta/fastawriterinterface.h